Bug 136236 - 2 * missing return statement
2 * missing return statement
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-18 16:22 EDT by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-18 04:02:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-10-18 16:22:05 EDT
Description of problem:


I just tried to compile package emacs-21.3-15 from package
Redhat Fedora Core 3 Test 3.

The compiler said

1.

lwlib-Xaw.c(637): warning #1011: missing return statement at end of
non-void function "xaw_create_scrollbar"

Suggest add return statement.

2.

keyboard.c(1320): warning #1011: missing return statement at end of
non-void function "cancel_hourglass_unwind"

The source code is

static Lisp_Object
cancel_hourglass_unwind (arg)
     Lisp_Object arg;
{
  cancel_hourglass ();
}

Suggest add return statement.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jens Petersen 2004-11-18 04:02:53 EST
Both already fixed upstream in emacs cvs.

Note You need to log in before you can comment on or make changes to this bug.